<div
        {{ attributes }}
>

    {{ form_start(form) }}
    <div class="row">
        <div class="col-4">
            {{ form_widget(form.name, {
                label: false,
                attr: {
                    placeholder: 'Give your list a name'
                }
            }) }}
        </div>
    </div>

    <table class="table table-borderless form-no-mb">
        <thead>
        <tr>
            <td>Item</td>
            <td>Priority</td>
        </tr>
        </thead>
        <tbody>

        {% for key, itemForm in form.todoItems %}
            <tr>
                <td>
                    {{ form_widget(itemForm.description, {
                        label: false,
                        attr: {
                            placeholder: 'Walk the pygmy hippo'
                        }
                    }) }}
                </td>

                <td>
                    {{ form_widget(itemForm.priority, {
                        row_attr: {class: ''},
                        label: false,
                    }) }}
                </td>
                <td>
                    {{ form_widget(itemForm.vars.button_delete, { label: 'X', attr: { class: 'btn btn-outline-danger' } }) }}
                </td>
            </tr>
        {% endfor %}
        </tbody>

    </table>
    {{ form_widget(form.todoItems.vars.button_add, { label: '+ Add Item', attr: { class: 'btn btn-outline-primary' } }) }}

    <button type="submit" class="btn btn-success" formnovalidate>Save</button>
    {{ form_end(form) }}
</div>